## smokeqt 4.10.0

=== qimageblitz/CMakeLists.txt ===
if (NOT QIMAGEBLITZ_FOUND)
    find_package(QImageBlitz REQUIRED)
endif (NOT QIMAGEBLITZ_FOUND)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../qtcore/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -I ${QIMAGEBLITZ_INCLUDES} -- ${CMAKE_CURRENT_SOURCE_DIR}/qimageblitz_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories( ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

set(smokeqimageblitz_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqimageblitz SHARED ${smokeqimageblitz_LIB_SRCS})

target_link_libraries(smokeqimageblitz smokeqtcore ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QIMAGEBLITZ_LIBRARIES})

set_target_properties(smokeqimageblitz PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqimageblitz
 LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)
if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqimageblitz PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqimageblitz PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qimageblitz_smoke.h DESTINATION include/smoke )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qimageblitz.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qimageblitz.typedefs.txt DESTINATION share/smoke)

=== qtdeclarative/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtdeclarative_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtdeclarative  )

set(smokeqtdeclarative_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtdeclarative SHARED ${smokeqtdeclarative_LIB_SRCS})
add_library(smokeqtdeclarative SHARED ${smokeqtdeclarative_LIB_SRCS})

target_link_libraries(  smokeqtdeclarative 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTNETWORK_LIBRARY} 
                        ${QT_QTSCRIPT_LIBRARY} 
                        ${QT_QTDECLARATIVE_LIBRARY} )

set_target_properties(smokeqtdeclarative PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtdeclarative
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtdeclarative PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtdeclarative
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtdeclarative_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtdeclarative.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtdeclarative.typedefs.txt DESTINATION share/smoke)

=== qtsql/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsql_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtsql  )

set(smokeqtsql_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

ADD_DEFINITIONS(-DQT_GUI_LIB)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtsql SHARED ${smokeqtsql_LIB_SRCS})
add_library(smokeqtsql SHARED ${smokeqtsql_LIB_SRCS})

target_link_libraries(smokeqtsql 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTSQL_LIBRARY} )

set_target_properties(smokeqtsql PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtsql LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtsql PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtsql
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtsql_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsql.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsql.typedefs.txt DESTINATION share/smoke)

=== qtsvg/CMakeLists.txt ===

include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsvg_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qtsvg  )

set(smokeqtsvg_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

# kde4_add_library(smokeqtsvg SHARED ${smokeqtsvg_LIB_SRCS})
add_library(smokeqtsvg SHARED ${smokeqtsvg_LIB_SRCS})

target_link_libraries(smokeqtsvg 
                        smokeqtcore 
                        smokeqtgui 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTSVG_LIBRARY} )

set_target_properties(smokeqtsvg PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqtsvg LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqtsvg PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqtsvg
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtsvg_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsvg.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtsvg.typedefs.txt DESTINATION share/smoke)

=== qttest/CMakeLists.txt ===
include_directories( ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}  )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/qttest_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

include_directories (${CMAKE_SOURCE_DIR}/smoke ${CMAKE_SOURCE_DIR}/smoke/qttest )

set(smokeqttest_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqttest SHARED ${smokeqttest_LIB_SRCS})

target_link_libraries(  smokeqttest 
                        smokeqtcore 
                        ${QT_QTCORE_LIBRARY} 
                        ${QT_QTGUI_LIBRARY} 
                        ${QT_QTTEST_LIBRARY}
)

set_target_properties(smokeqttest PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqttest LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqttest PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqttest
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qttest_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qttest.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qttest.typedefs.txt DESTINATION share/smoke)

=== debian/changelog ===
smokeqt (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:49 +0000

smokeqt (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:36:13 +0000

smokeqt (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:38 +0100

smokeqt (4:4.9.95-0ubuntu2) raring; urgency=low

  * Bump minimum smoke-dev-tools version to 4:4.9.95 to fix FTBFS (does not
    build with the older versions)
  * Add Kubuntu team Vcs-* to debian/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Dec 2012 18:40:19 -0500

smokeqt (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * New files in libsmokeqt4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:52:10 +0000

smokeqt (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:43 +0000

smokeqt (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:29:10 +0000

smokeqt (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:53:14 +0100

smokeqt (4:4.8.0-1) raring; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 21:13:59 -0500

=== debian/control ===
Source: smokeqt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools (>= 4:4.9.95), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
 libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
Standards-Version: 3.9.3
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt

Package: libsmokeqsci3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QScintilla2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QScintilla2 SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt3support4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt3 Support SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt3 Support SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtcore4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Core SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Core SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdbus4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt D-Bus SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt D-Bus SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtdeclarative4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Declarative SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Declarative SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtgui4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Gui SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Gui SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqthelp4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Help SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Help SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtnetwork4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Network SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Network SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtopengl4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt OpenGL SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt OpenGL SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtscript4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Script SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Script SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsql4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Sql SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Sql SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtsvg4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Svg SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Svg SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqttest4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Test SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Test SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtuitools4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Ui Tools SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Ui Tools SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtwebkit4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt WebKit SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt WebKit SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxml4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Xml SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt Xml SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqtxmlpatterns4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt XmlPatterns SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Qt XmlPatterns SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokephonon3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Qt Phonon SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains Phonon SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqimageblitz3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: QImageBlitz SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains QImageBlitz SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dbg
Section: debug
Depends: libsmokeqtcore4-3 (= ${binary:Version}), ${misc:Depends}
Recommends: libqt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: Qt SMOKE libraries debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for Qt SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

Package: libsmokeqt4-dev
Section: libdevel
Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools
Architecture: any
Description: Development files for Qt SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the development files for the SMOKE Qt modules.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE Qt module.

#Package: libsmokeqwt3
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: Qwt5 SMOKE libraries
# SMOKE libraries are part of the bindings used for Qt and KDE. This package
# contains Qwt5 SMOKE libraries.
# .
# SMOKE provides infrastructure which is used for creating bindings for
# multiple languages such as Ruby, C# and PHP.
# .
# This is part of the SMOKE Qt module.

## smokeqt 4.10.2

=== debian/changelog ===
smokeqt (4:4.10.2-0ubuntu3) raring; urgency=low

  * Remove qwt, it's not in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Apr 2013 15:13:15 +0100

smokeqt (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add back qwt package on request

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Apr 2013 13:01:03 +0100

smokeqt (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:07:13 +0200

smokeqt (4:4.10.1-0ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 09:04:37 -0500

smokeqt (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:03:01 +0000

=== debian/control ===
--- 
+++ 
@@ -283,4 +283,3 @@
 # multiple languages such as Ruby, C# and PHP.
 # .
 # This is part of the SMOKE Qt module.
-

## smokeqt 4.11.2

=== debian/changelog ===
smokeqt (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:02:47 +0100

smokeqt (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:46:23 +0100

smokeqt (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:46:53 +0100

smokeqt (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:16:14 +0100

smokeqt (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:42 +0000

smokeqt (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:57 +0100

smokeqt (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:05:30 +0100

smokeqt (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:59:55 +0100

smokeqt (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:02 +0000

smokeqt (4:4.10.2-2) experimental; urgency=low

  * Bump build-deps.
  * Bump deps in -dev packages.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 18:06:10 +0000

smokeqt (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Update installed files

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 11:00:04 +0000

## smokeqt 4.11.3

=== debian/changelog ===
smokeqt (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:34 +0100

smokeqt (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:00 +0200

smokeqt (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Add the pkg-config build dependency.
  * Fix Vcs-Git header.

 -- Pino Toscano <pino@debian.org>  Wed, 04 Sep 2013 16:52:33 +0200

smokeqt (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:30 +0200

smokeqt (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.95), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ pkg-config,
+ smoke-dev-tools (>= 4:4.11), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -261,7 +263,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -283,3 +285,4 @@
 # multiple languages such as Ruby, C# and PHP.
 # .
 # This is part of the SMOKE Qt module.
+

## smokeqt 4.12.2

=== qtsql/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
     COMMAND ${SMOKE_GEN_BIN}
     ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
-         -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsql_includes.h
+         -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qtsql_includes.h
     DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

=== qwt/CMakeLists.txt ===
include(FindQwt5)

include_directories( ${QT_INCLUDES} ${Qwt5_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../qtgui/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -I "${Qwt5_INCLUDE_DIR}" -L "${CMAKE_BINARY_DIR}" -- ${CMAKE_CURRENT_SOURCE_DIR}/qwt_includes.h
    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokeqwt_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
	${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
	${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
add_library(smokeqwt SHARED ${smokeqwt_LIB_SRCS})

target_link_libraries(smokeqwt smokeqtcore smokeqtgui ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${Qwt5_Qt4_LIBRARY})

set_target_properties(smokeqwt PROPERTIES VERSION 3.0.0 SOVERSION 3 )

install(TARGETS smokeqwt LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    RUNTIME DESTINATION bin)

if (WIN32)
	# Realign the stack, for compatibility with an older ABI.
	if(CMAKE_COMPILER_IS_GNUCXX)
		set_target_properties(smokeqwt PROPERTIES COMPILE_FLAGS -mstackrealign)
	endif()

    # Get rid of the "lib" prefix on archives/DLLs in Windows.
    set_target_properties(smokeqwt
        PROPERTIES PREFIX "" IMPORT_PREFIX "")
endif (WIN32)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qwt_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qwt.argnames.txt DESTINATION share/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qwt.typedefs.txt DESTINATION share/smoke)

=== debian/changelog ===
smokeqt (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:34 +0200

smokeqt (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,24 @@
            David Palacio <dpalacio@orbitalibre.org>,
            Michael Meskes <meskes@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- pkg-config,
- smoke-dev-tools (>= 4:4.11), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
- libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libphonon-dev,
+               libqimageblitz-dev,
+               libqscintilla2-dev,
+               libqt4-dev,
+               libqt4-opengl-dev,
+               libqtwebkit-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.6.8),
+               smoke-dev-tools (>= 4:4.11)
+Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QScintilla2 SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -29,7 +36,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqt3support4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt3 Support SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -41,7 +48,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtcore4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Core SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -53,7 +60,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdbus4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt D-Bus SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -65,7 +72,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtdeclarative4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Declarative SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -77,7 +84,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtgui4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Gui SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -89,7 +96,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqthelp4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Help SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -101,7 +108,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtnetwork4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Network SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -113,7 +120,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtopengl4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt OpenGL SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -125,7 +132,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtscript4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Script SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -137,7 +144,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsql4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Sql SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -149,7 +156,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtsvg4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Svg SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -161,7 +168,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqttest4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Test SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -173,7 +180,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtuitools4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Ui Tools SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -185,7 +192,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtwebkit4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt WebKit SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -197,7 +204,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxml4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Xml SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -209,7 +216,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqtxmlpatterns4-3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt XmlPatterns SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -221,7 +228,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokephonon3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: Qt Phonon SMOKE library
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -233,7 +240,7 @@
  This is part of the SMOKE Qt module.
 
 Package: libsmokeqimageblitz3
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Description: QImageBlitz SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -263,7 +270,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
+Depends: smoke-dev-tools (>> 4:4.10), ${misc:Depends}, ${so:Depends}
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -273,16 +280,3 @@
  multiple languages such as Ruby, C# and PHP.
  .
  This is part of the SMOKE Qt module.
-
-#Package: libsmokeqwt3
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Architecture: any
-#Description: Qwt5 SMOKE libraries
-# SMOKE libraries are part of the bindings used for Qt and KDE. This package
-# contains Qwt5 SMOKE libraries.
-# .
-# SMOKE provides infrastructure which is used for creating bindings for
-# multiple languages such as Ruby, C# and PHP.
-# .
-# This is part of the SMOKE Qt module.
-

=== debian/rules ===
#! /usr/bin/make -f

pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsmokeqt4-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/shlibs.local

#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps
